GNU bug report logs - #53088
[PATCH 14/41] gnu: rust-rbw: adding rust-block-buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 14:08:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 14:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 09:07:23 2022
Received: from localhost ([127.0.0.1]:43447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5ptr-0005tX-G6
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:07:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:54020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5ptp-0005tO-Ov
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:07:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55894)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5ptp-0000sl-L9
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:07:21 -0500
Received: from 3.mo576.mail-out.ovh.net ([188.165.52.203]:60387)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5ptj-0001WS-BD
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:07:17 -0500
Received: from player793.ha.ovh.net (unknown [10.109.156.34])
 by mo576.mail-out.ovh.net (Postfix) with ESMTP id 6FCBC24B75
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:07:13 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player793.ha.ovh.net (Postfix) with ESMTPSA id 21E6C26110171
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:07:13 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-103G005ed41cb49-9fb6-48a8-a747-7e8666918a72,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 14/41] gnu: rust-rbw: adding rust-block-buffer
Date: Fri, 07 Jan 2022 15:06:38 +0100
Message-ID: <87a6g7prlb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0015-rust-rbw-dependencies-adding-rust-block-buffer.patch
X-Ovh-Tracer-Id: 5264989439625126650
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddgfeeiucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepudejteehgeeiffelveetueeguefgtdeikeefjeevffdtvddtgfffjedukeeuhedunecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeelfedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=188.165.52.203; envelope-from=ngraves@HIDDEN;
 helo=3.mo576.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 1b106cf4915270873257d5ebe2e8bd0cd1d21b85 Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 11:11:37 +0100
Subject: [PATCH 15/42] rust-rbw dependencies : adding rust-block-buffer

---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++------
 1 file changed, 25 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8b972fcc1a..7073fa846a 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -6482,10 +6482,10 @@ (define-public rust-block-0.1
 extension of blocks.")
     (license license:expat)))
 
-(define-public rust-block-buffer-0.9
+(define-public rust-block-buffer-0.10
   (package
     (name "rust-block-buffer")
-    (version "0.9.0")
+    (version "0.10.0")
     (source
       (origin
         (method url-fetch)
@@ -6494,18 +6494,37 @@ (define-public rust-block-buffer-0.9
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "1r4pf90s7d7lj1wdjhlnqa26vvbm6pnc33z138lxpnp9srpi2lj1"))))
+          "15cbh9jbcfcbbi863dlmamjka2f8l55ld915vr0b0xlf0l16mlzi"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
-       (("rust-block-padding" ,rust-block-padding-0.2)
-        ("rust-generic-array" ,rust-generic-array-0.14))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-generic-array" ,rust-generic-array-0.14))))
     (home-page "https://github.com/RustCrypto/utils")
     (synopsis "Fixed size buffer for block processing of data")
     (description
      "Fixed size buffer for block processing of data.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-block-buffer-0.9
+  (package
+    (inherit rust-block-buffer-0.10)
+    (name "rust-block-buffer")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-buffer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r4pf90s7d7lj1wdjhlnqa26vvbm6pnc33z138lxpnp9srpi2lj1"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-block-padding" ,rust-block-padding-0.2)
+        ("rust-generic-array" ,rust-generic-array-0.14))))))
+
 (define-public rust-block-buffer-0.8
   (package
     (inherit rust-block-buffer-0.9)
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53088; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.